=== debian/changelog ===
pcg-cpp (0.98.1-2) unstable; urgency=medium

  * d/control: Change Section to libdevel.
  * d/control: Switch Arch to all.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 28 Jan 2019 23:37:16 +0300

pcg-cpp (0.98.1-1) unstable; urgency=low

  * Initial release (Closes: #918942)

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 11 Jan 2019 01:36:11 +0300
