=== debian/control ===
Source: pcg-cpp
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Section: libdevel
Homepage: http://www.pcg-random.org
Vcs-Git: https://salsa.debian.org/debian/pcg-cpp.git
Vcs-Browser: https://salsa.debian.org/debian/pcg-cpp.git

Package: libpcg-cpp-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: compile-time library for PCG random number generation
 implementation of the PCG family of random number generators, which are fast,
 statistically excellent, and offer a number of useful features.
 .
 Full details can be found at the PCG-Random website:
 http://www.pcg-random.org.
