=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export CFLAGS+=-Wno-date-time
export CXXFLAGS+=-Wno-date-time
export PREFIX=/usr

%:
	dh $@
