=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pcg-cpp-$1\.tar\.gz/ \
  https://github.com/imneme/pcg-cpp/tags .*/v?(\d\S+)\.tar\.gz
